import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh'

export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/updateWhDirectionPlan',
    method: 'post',
    data: params
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/saveWhDirectionPlan',
    method: 'post',
    data: params
    // params: params
  })
}

export function del(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/deleteWhDirectionPlan',
    method: 'post',
    data: params
    // params: params
  })
}

export function additem(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/saveWhDirectionPlanDetailList',
    method: 'post',
    data: params
    // params: params
  })
}

export function enable(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/updateWhDirectionPlanDetail',
    method: 'post',
    data: params
    // params: params
  })
}


export function disable(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/updateWhDirectionPlanDetail',
    method: 'post',
    data: params
    // params: params
  })
}


export function querySelectAllItem(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/directionPlan/queryWhAreaDirectionVoPage',
    method: 'post',
    data: params
    // params: params
  })
}
